Create a Buró de Crédito authorization
curl --request POST \
--url https://api.syntage.com/entities/{entityId}/datasources/mx/buro-de-credito/authorizations \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"authorizedAt": "2024-01-31T00:00:00+00:00",
"taxpayer": {
"rfc": "PRPU800101HM2",
"nationality": "MX",
"birthdate": "1980-01-01",
"firstName": "UNO",
"firstLastName": "PRUEBA",
"secondLastName": "PROSPECTOR",
"address": {
"address": "Jaime Balmes",
"city": "Cd de Mexico",
"municipality": "Miguel Hidalgo",
"state": "CMX",
"postalCode": "11510",
"neighborhood": "Los morales",
"country": "MX",
"exteriorNumber": "8",
"interiorNumber": ""
},
"middleName": "DOS"
}
}
'import requests
url = "https://api.syntage.com/entities/{entityId}/datasources/mx/buro-de-credito/authorizations"
payload = {
"authorizedAt": "2024-01-31T00:00:00+00:00",
"taxpayer": {
"rfc": "PRPU800101HM2",
"nationality": "MX",
"birthdate": "1980-01-01",
"firstName": "UNO",
"firstLastName": "PRUEBA",
"secondLastName": "PROSPECTOR",
"address": {
"address": "Jaime Balmes",
"city": "Cd de Mexico",
"municipality": "Miguel Hidalgo",
"state": "CMX",
"postalCode": "11510",
"neighborhood": "Los morales",
"country": "MX",
"exteriorNumber": "8",
"interiorNumber": ""
},
"middleName": "DOS"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authorizedAt: '2024-01-31T00:00:00+00:00',
taxpayer: {
rfc: 'PRPU800101HM2',
nationality: 'MX',
birthdate: '1980-01-01',
firstName: 'UNO',
firstLastName: 'PRUEBA',
secondLastName: 'PROSPECTOR',
address: {
address: 'Jaime Balmes',
city: 'Cd de Mexico',
municipality: 'Miguel Hidalgo',
state: 'CMX',
postalCode: '11510',
neighborhood: 'Los morales',
country: 'MX',
exteriorNumber: '8',
interiorNumber: ''
},
middleName: 'DOS'
}
})
};
fetch('https://api.syntage.com/entities/{entityId}/datasources/mx/buro-de-credito/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Create a Buró de Crédito authorization
Create a Buró de Crédito authorization for an entity so report extractions can use it
POST
/
entities
/
{entityId}
/
datasources
/
mx
/
buro-de-credito
/
authorizations
Create a Buró de Crédito authorization
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Body
application/json
Response
Buró de Crédito Authorization created successfully
Was this page helpful?
⌘I